* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: 'Poppins', sans-serif;
    background: #0d0d0d;
    color: #fff;
}

/* HEADER */
header {
    background: linear-gradient(135deg, #ff0080, #7928ca);
    text-align: center;
    padding: 25px;
}

/* NAV */
nav {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    gap: 20px;
    background: #111;
    padding: 15px;
}

nav a {
    color: #ff4ecd;
    text-decoration: none;
    font-weight: bold;
}

nav a:hover {
    color: white;
}

/* HERO */
.hero {
    height: 80vh;
    background: url('https://images.unsplash.com/photo-1504609773096-104ff2c73ba4') center/cover no-repeat;
    display: flex;
    align-items: center;
    justify-content: center;
}

.hero h2 {
    background: rgba(0,0,0,0.6);
    padding: 20px;
    font-size: 40px;
    border-radius: 10px;
}

/* SECTIONS */
section {
    padding: 60px 10%;
}

/* GRID */
.grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    gap: 20px;
}

/* CARD */
.card {
    background: #1a1a1a;
    padding: 25px;
    border-radius: 12px;
    transition: 0.3s;
}

.card:hover {
    transform: translateY(-8px);
    background: #222;
}

/* IMAGE */
.image-section {
    display: flex;
    gap: 30px;
    flex-wrap: wrap;
    align-items: center;
}

.image-section img {
    max-width: 500px;
    width: 100%;
    border-radius: 12px;
}

/* CTA */
.cta {
    background: linear-gradient(135deg, #7928ca, #ff0080);
    padding: 50px;
    text-align: center;
    border-radius: 15px;
}

/* FOOTER */
footer {
    background: #111;
    text-align: center;
    padding: 25px;
    margin-top: 40px;
}